Skip to main content
GET
/
wallets
/
{wallet}
Get wallet positions
curl --request GET \
  --url https://api.deframe.io/wallets/{wallet} \
  --header 'x-api-key: <api-key>'
{
  "positions": [
    {
      "spotPosition": {
        "currentPosition": {
          "value": "10048700",
          "decimals": 6,
          "humanized": "10.0487",
          "symbol": "USDC"
        },
        "underlyingBalanceUSD": 10.05,
        "apy": 0.0417,
        "avgApy": 0.0412,
        "inceptionApy": 0.0385,
        "profit": {
          "value": "10048700",
          "decimals": 6,
          "humanized": "10.0487",
          "symbol": "USDC"
        },
        "principal": {
          "value": "10048700",
          "decimals": 6,
          "humanized": "10.0487",
          "symbol": "USDC"
        }
      },
      "strategy": {
        "id": "Aave-USDC-ethereum",
        "protocol": "Aave",
        "network": "ethereum",
        "networkId": "1",
        "asset": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
        "assetName": "USDC",
        "assetDecimals": 6,
        "underlyingAsset": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
        "underlyingDecimals": 6,
        "availableActions": [
          "lend",
          "withdraw"
        ],
        "paused": false,
        "apy": 0.0525,
        "inceptionApy": 0.0485,
        "avgApy": 0.0502,
        "fee": "0",
        "performanceFeeBps": "0",
        "isDefault": false,
        "metadata": {},
        "logourl": "<string>",
        "implementationSelector": "<string>",
        "startDate": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "summary": {
    "totalUnderlyingBalanceUSD": 10.05
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Obtain from your Deframe dashboard.

Path Parameters

wallet
string
required

Wallet address

Example:

"0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"

Response

200 - application/json

Wallet positions retrieved

positions
object[]
required
summary
object
required